﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ModalDialogDemo
{
    public partial class MainControl : UserControl
    {
        public MainControl()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            IModalDialogHost dlg = new ModalDialogHost();
            dlg.Title = "Pick a Colour";
            dlg.HostedContent = new ModalDialog();
            dlg.Show(DialogClosedHandler);
        }

        private void DialogClosedHandler(IModalDialogHost dialogHost)
        {
            string colour = ((ModalDialog)dialogHost.HostedContent).SelectedColour;
            resultTextBox.Text = colour;                        
        }
    }
}
